<?php
class LastArticleWidget extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'LastArticleWidgetID',
			'Last Article Widget',
			array('description' => __('Shows last article with post thumbnail and excerpt'))
			);
	}

	public function form($instance) {
		
	}

	public function update($new_instance, $old_instance) {
		
	}

	public function widget($args, $instance) {
		echo $before_widget;

		$args = array(
			'post_type' => 'post',
			'posts_per_page' => 1,
			'order_by' => 'date'
			);
		$featuredWidget = new WP_Query($args);
		
		if($featuredWidget->have_posts() == true) : ?>
		<?php while($featuredWidget->have_posts() == true) :
				$featuredWidget->the_post(); ?>
			<div class="widget last-article-preview">
				<h2><?php _e("Last article", "MoViTheme"); ?></h2>
				<a href="<?php echo the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
				<div class="article-excerpt">
					<a href="<?php echo the_permalink(); ?>"><h3><?php echo the_title(); ?></h3></a>
					<p><small><?php echo the_date(); ?></small></p>
					<?php echo the_excerpt(); ?>
				</div>
			</div>
			<?php endwhile; ?>
		<?php
		endif;
			
		wp_reset_postdata();
		echo $after_widget;
	}
}
register_widget('LastArticleWidget');
?>
